# externalUserUpdate

Update an external user mapping

**Scope required:** owner:write admin:write

For a complete list of input attributes see the [ExternalUserAttributes](/developer/api-reference/types/externaluserattributes.md) type

```graphql
mutation externalUserUpdate ($id: ID!, $attributes: ExternalUserAttributes!) {
  externalUserUpdate (id: $id, attributes: $attributes) {
      errors
      externalUser {
        createdAt
        displayName
        email
        externalId
        externalTeamId
        id
        linked
        pluginId
        updatedAt
        userId
      }
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "attributes": {
    "userId": "456123"
  }
}
```

| Name       | Type                                                                               | Description |
| ---------- | ---------------------------------------------------------------------------------- | ----------- |
| id         | ID                                                                                 |             |
| attributes | [ExternalUserAttributes](/developer/api-reference/types/externaluserattributes.md) |             |

## Response

| Name         | Type                                                           | Description |
| ------------ | -------------------------------------------------------------- | ----------- |
| errors       | List (String)                                                  |             |
| externalUser | [ExternalUser](/developer/api-reference/types/externaluser.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/externaluserupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
